# modules/uip_task_standard/uip_task.h File Reference

`#include <mios32.h>`
`#include <FreeRTOS.h>`
`#include <semphr.h>`

## Defines
#define | UIP_TASK_STACK_SIZE MIOS32_MINIMAL_STACK_SIZE
#define | MY_IP_ADDRESS (192 << 24) | (168 << 16) | ( 1 << 8) | (180 << 0)
#define | MY_NETMASK (255 << 24) | (255 << 16) | (255 << 8) | ( 0 << 0)
#define | MY_GATEWAY (192 << 24) | (168 << 16) | ( 1 << 8) | ( 1 << 0)
#define | UDP_MONITOR_LEVEL_0_OFF 0
#define | UDP_MONITOR_LEVEL_1_OSC_REC 1
#define | UDP_MONITOR_LEVEL_2_OSC_REC_AND_SEND 2
#define | UDP_MONITOR_LEVEL_3_ALL_GEQ_1024 3
#define | UDP_MONITOR_LEVEL_4_ALL 4
#define | UDP_MONITOR_SEND 0
#define | UDP_MONITOR_RECEIVED 1
#define | UIP_TASK_MUTEX_MIDIOUT_TAKE { }
#define | UIP_TASK_MUTEX_MIDIOUT_GIVE { }
#define | UIP_TASK_MUTEX_MIDIIN_TAKE { }
#define | UIP_TASK_MUTEX_MIDIIN_GIVE { }
#define | MUTEX_UIP_TAKE { while( xSemaphoreTakeRecursive(xUIPSemaphore, (portTickType)1) != pdTRUE ); }
#define | MUTEX_UIP_GIVE { xSemaphoreGiveRecursive(xUIPSemaphore); }
## Functions
s32 | UIP_TASK_Init (u32 mode)
s32 | UIP_TASK_InitFromPresets (u8 _dhcp_enabled, u32 _my_ip_address, u32 _my_netmask, u32 _my_gateway)
s32 | UIP_TASK_NetworkDeviceAvailable (void)
s32 | UIP_TASK_ServicesRunning (void)
s32 | UIP_TASK_AppCall (void)
s32 | UIP_TASK_UDP_AppCall (void)
s32 | UIP_TASK_UDP_MonitorPacket (u8 received, char *prefix)
s32 | UIP_TASK_UDP_MonitorLevelSet (u8 level)
s32 | UIP_TASK_UDP_MonitorLevelGet (void)
s32 | UIP_TASK_DHCP_EnableSet (u8 _dhcp_enabled)
s32 | UIP_TASK_DHCP_EnableGet (void)
s32 | UIP_TASK_IP_AddressSet (u32 ip)
s32 | UIP_TASK_IP_AddressGet (void)
s32 | UIP_TASK_IP_EffectiveAddressGet (void)
s32 | UIP_TASK_NetmaskSet (u32 mask)
s32 | UIP_TASK_NetmaskGet (void)
s32 | UIP_TASK_EffectiveNetmaskGet (void)
s32 | UIP_TASK_GatewaySet (u32 ip)
s32 | UIP_TASK_GatewayGet (void)
s32 | UIP_TASK_EffectiveGatewayGet (void)
## Variables
xSemaphoreHandle | xUIPSemaphore

## Define Documentation

#define MUTEX_UIP_GIVE { xSemaphoreGiveRecursive(xUIPSemaphore); }

#define MUTEX_UIP_TAKE { while( xSemaphoreTakeRecursive(xUIPSemaphore, (portTickType)1) != pdTRUE ); }

#define MY_GATEWAY (192 << 24) | (168 << 16) | ( 1 << 8) | ( 1 << 0)

#define MY_IP_ADDRESS (192 << 24) | (168 << 16) | ( 1 << 8) | (180 << 0)

#define MY_NETMASK (255 << 24) | (255 << 16) | (255 << 8) | ( 0 << 0)

#define UDP_MONITOR_LEVEL_0_OFF 0

#define UDP_MONITOR_LEVEL_1_OSC_REC 1

#define UDP_MONITOR_LEVEL_2_OSC_REC_AND_SEND 2

#define UDP_MONITOR_LEVEL_3_ALL_GEQ_1024 3

#define UDP_MONITOR_LEVEL_4_ALL 4

#define UDP_MONITOR_RECEIVED 1

#define UDP_MONITOR_SEND 0

#define UIP_TASK_MUTEX_MIDIIN_GIVE { }

#define UIP_TASK_MUTEX_MIDIIN_TAKE { }

#define UIP_TASK_MUTEX_MIDIOUT_GIVE { }

#define UIP_TASK_MUTEX_MIDIOUT_TAKE { }

#define UIP_TASK_STACK_SIZE MIOS32_MINIMAL_STACK_SIZE

## Function Documentation

s32 UIP_TASK_AppCall | ( | void |  | ) |

s32 UIP_TASK_DHCP_EnableGet | ( | void |  | ) |

s32 UIP_TASK_DHCP_EnableSet | ( | u8 | _dhcp_enabled | ) |

Here is the call graph for this function:

s32 UIP_TASK_EffectiveGatewayGet | ( | void |  | ) |

s32 UIP_TASK_EffectiveNetmaskGet | ( | void |  | ) |

s32 UIP_TASK_GatewayGet | ( | void |  | ) |

s32 UIP_TASK_GatewaySet | ( | u32 | ip | ) |

s32 UIP_TASK_Init | ( | u32 | mode | ) |

Here is the call graph for this function:

s32 UIP_TASK_InitFromPresets | ( | u8 | _dhcp_enabled,
|  | u32 | _my_ip_address,
|  | u32 | _my_netmask,
|  | u32 | _my_gateway |
| ) |  |  |

s32 UIP_TASK_IP_AddressGet | ( | void |  | ) |

s32 UIP_TASK_IP_AddressSet | ( | u32 | ip | ) |

s32 UIP_TASK_IP_EffectiveAddressGet | ( | void |  | ) |

s32 UIP_TASK_NetmaskGet | ( | void |  | ) |

s32 UIP_TASK_NetmaskSet | ( | u32 | mask | ) |

s32 UIP_TASK_NetworkDeviceAvailable | ( | void |  | ) |

s32 UIP_TASK_ServicesRunning | ( | void |  | ) |

s32 UIP_TASK_UDP_AppCall | ( | void |  | ) |

Here is the call graph for this function:

s32 UIP_TASK_UDP_MonitorLevelGet | ( | void |  | ) |

s32 UIP_TASK_UDP_MonitorLevelSet | ( | u8 | level | ) |

s32 UIP_TASK_UDP_MonitorPacket | ( | u8 | received,
|  | char * | prefix |
| ) |  |  |

Here is the call graph for this function:

## Variable Documentation

xSemaphoreHandle xUIPSemaphore